%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		enet
Version:	1.3.13
Release:	%mkrel 2
Summary:	Simple Network Communication Layer on Top of UDP
License:	BSD
Group:		System/Libraries
Url:		http://enet.bespin.org/
Source:		http://enet.bespin.org/download/enet-%{version}.tar.xz

%description
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

%package -n %{libname}
Group:		System/Libraries
Summary:	Simple Network Communication Layer on Top of UDP

%description -n %{libname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Simple Network Communication Layer on Top of UDP
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}enet1.2-devel

%description -n	%{develname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Mon Mar 06 2017 bb2 <bb2> - 1.3.13-2pclos2017
- rebuild for 2017

* Fri Jul 01 2016 bb <bb> 1.3.13-1pclos2016
- update

* Fri Apr 24 2015 bb <bb> 1.3.12-1pclos2014
- update

* Mon Dec 16 2013 pinoc <vogtpet at gmail.com> 1.3.10-1pclos2013
- imported package enet

